<resources>

    <declare-styleable name="ButtonBarContainerTheme">
        <attr name="metaButtonBarStyle" format="reference" />
        <attr name="metaButtonBarButtonStyle" format="reference" />
    </declare-styleable>

    <declare-styleable name="PuzzleView">
        <attr name="line_size" format="integer" />
        <attr name="line_color" format="color" />
        <attr name="selected_line_color" format="color" />
        <attr name="handle_bar_color" format="color" />
        <attr name="need_draw_line" format="boolean" />
        <attr name="need_draw_outer_line" format="boolean" />
        <attr name="piece_padding" format="dimension" />
        <attr name="animation_duration" format="integer" />
        <attr name="radian" format="float" />
    </declare-styleable>

    <!-- 自定义TextView 方便设置字体-->
    <declare-styleable name="TypefaceTextView">
        <attr name="typeface" format="string" />
    </declare-styleable>

    <!-- 自定义编辑框。一个数字显示一个框-->
    <declare-styleable name="VerifyEditText">
        <!-- 验证码的个数 -->
        <attr name="verify_count" format="integer" />
        <!--        TextView 的宽度-->
        <attr name="verify_width" format="dimension" />
        <!--        TextView 的高度-->
        <attr name="verify_height" format="dimension" />
        <!--        TextView 的间隔-->
        <attr name="verify_margin" format="dimension" />
        <!--        TextView 的字体大小-->
        <attr name="verify_textSize" format="dimension" />
        <!--        TextView 的字体颜色-->
        <attr name="verify_textColor" format="color" />
        <!-- TextView 无值背景 -->
        <attr name="verify_background_normal" format="reference" />
        <!-- TextView 有值背景 -->
        <attr name="verify_background_selected" format="reference" />
        <!--        是否隐藏密码-->
        <attr name="verify_password" format="boolean" />
        <!-- 字母大写-->
        <attr name="capital_letter" format="boolean" />
        <!--        密码显示时间ms-->
        <attr name="verify_password_visible_time" format="integer" />
        <!-- 设置字体-->
        <attr name="verify_typeface" format="string" />
        <!--        editText的输入类型 -->
        <attr name="verify_inputType">
            <flag name="none" value="0x00000000" />
            <flag name="text" value="0x00000001" />
            <flag name="textCapCharacters" value="0x00001001" />
            <flag name="textCapWords" value="0x00002001" />
            <flag name="textCapSentences" value="0x00004001" />
            <flag name="textAutoCorrect" value="0x00008001" />
            <flag name="textAutoComplete" value="0x00010001" />
            <flag name="textMultiLine" value="0x00020001" />
            <flag name="textImeMultiLine" value="0x00040001" />
            <flag name="textNoSuggestions" value="0x00080001" />
            <flag name="textUri" value="0x00000011" />
            <flag name="textEmailAddress" value="0x00000021" />
            <flag name="textEmailSubject" value="0x00000031" />
            <flag name="textShortMessage" value="0x00000041" />
            <flag name="textLongMessage" value="0x00000051" />
            <flag name="textPersonName" value="0x00000061" />
            <flag name="textPostalAddress" value="0x00000071" />
            <flag name="textPassword" value="0x00000081" />
            <flag name="textVisiblePassword" value="0x00000091" />
            <flag name="textWebEditText" value="0x000000a1" />
            <flag name="textFilter" value="0x000000b1" />
            <flag name="textPhonetic" value="0x000000c1" />
            <flag name="textWebEmailAddress" value="0x000000d1" />
            <flag name="textWebPassword" value="0x000000e1" />
            <flag name="number" value="0x00000002" />
            <flag name="numberSigned" value="0x00001002" />
            <flag name="numberDecimal" value="0x00002002" />
            <flag name="numberPassword" value="0x00000012" />
            <flag name="phone" value="0x00000003" />
            <flag name="datetime" value="0x00000004" />
            <flag name="date" value="0x00000014" />
            <flag name="time" value="0x00000024" />
        </attr>
    </declare-styleable>

    <!--水平日历样式 -->
    <declare-styleable name="HorizontalCalenderView">
        <attr name="zhc_show_pick_dialog" format="boolean" />
        <attr name="zhc_min_year" format="integer" />
        <attr name="zhc_unit_color" format="color|reference" />
        <attr name="zhc_selection_color" format="color|reference" />
        <attr name="zhc_press_shape_selector" format="reference" />
        <attr name="zhc_year_text_color" format="color|reference" />
        <attr name="zhc_month_text_color" format="color|reference" />
        <attr name="zhc_week_text_color" format="color|reference" />
        <attr name="zhc_day_selected_text_color" format="color|reference" />
        <attr name="zhc_day_unselected_text_color" format="color|reference" />
        <attr name="zhc_today_point_color" format="color|reference" />
    </declare-styleable>

    <declare-styleable name="CircleCountDownView">
        <attr name="color" format="color" />
        <attr name="colorAlpha" format="integer" />
    </declare-styleable>

    <!--水平日历样式 -->
    <declare-styleable name="HorizontalBarChartView">
        <attr name="bar_axis_text_color" format="color|reference" /><!--xy轴的文字颜色-->
        <attr name="bar_value_color" format="color|reference" /><!--柱状图的颜色-->
        <attr name="bar_value_bg_color" format="color|reference" /><!--柱状图的背景颜色-->
        <attr name="bar_max_value_color" format="color|reference" /><!--最高柱状图的颜色-->
        <attr name="bar_max_value_text_color" format="color|reference" /><!--最高柱状图显示文字的颜色-->
        <attr name="bar_value_text_color" format="color|reference" /><!--最高柱状图显示文字的颜色-->
    </declare-styleable>
    <declare-styleable name="LineChartView">
        <attr name="line_axis_text_color" format="color|reference" /><!--xy轴的文字颜色-->
        <attr name="line_axis_dashed_color" format="color|reference" /><!--虚线颜色-->
        <attr name="line_chart_color" format="color|reference" /><!--折线的颜色-->
        <attr name="line_gradient_start_color" format="color|reference" /><!--折线的渐变颜色-->
        <attr name="line_gradient_end_color" format="color|reference" /><!--折线的渐变颜色-->
    </declare-styleable>
    <declare-styleable name="BarChartV2View">
        <attr name="bar_v2_axis_text_color" format="color|reference" /><!--xy轴的文字颜色-->
        <attr name="bar_v2_value_color" format="color|reference" /><!--柱状图的颜色-->
        <attr name="bar_v2_max_value_color" format="color|reference" /><!--最高柱状图的颜色-->
    </declare-styleable>
    <declare-styleable name="RingChartView">
        <attr name="ring_value_color1" format="color|reference" />
        <attr name="ring_value_color2" format="color|reference" />
        <attr name="show_percent_text" format="boolean" /><!--是否显示百分比的文字-->
    </declare-styleable>
    <declare-styleable name="FencesCircleView">
        <attr name="fences_circle_dashed_color" format="color|reference" /><!--虚线的颜色-->
        <attr name="fences_circle_fill_bg_color" format="color|reference" /><!--填充背景颜色-->
        <attr name="fences_circle_location_drawable" format="reference" /><!--定位图片-->
        <attr name="fences_circle_zoom_drawable" format="reference" /><!--定位图片-->
    </declare-styleable>
    <declare-styleable name="MyWiFiSignalView">
        <attr name="value_color" format="color|reference" />
        <attr name="min_circle_radius" format="dimension" />
        <attr name="circle_stroke_width" format="dimension" />
    </declare-styleable>
</resources>
